> For the complete documentation index, see [llms.txt](https://developers.didomi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.didomi.io/integrations/third-party-apps/selligent.md).

# Selligent

{% hint style="success" %}
**Available for:** Preference Management Platform (PMP)

**Premium Feature:** Selligent
{% endhint %}

Didomi allows you to update your Selligent profile properties with the preferences collected through Didomi consent events.

{% hint style="info" %}
Alternatively, the Selligent integration can be performed directly from the Didomi console for the Preference Management Platform (PMP).
{% endhint %}

## Implementation

### Connection

Didomi connects to your Selligent installation through API user credentials. Every time preferences are collected using the Didomi Platform, it triggers your campaign (using a gate) in order to update the properties of your Selligent profile. You can use Didomi user properties such as the `organization_user_id` to identify and link your users on both platforms.

### Options

* **Upsert mode**: Please note that the upsert\_mode option is always set to true for Selligent. Upon consent collection for new records, Sellignet will automatically create the corresponding contacts.
* **Bidirectional flow**: Please note that the bidirectional flow is not supported at the moment.

### Mapping

Didomi uses the entity profile of Selligent and sends the property value when updating a contact, hence consent events are mapped to the profile properties.

{% hint style="warning" %}
**Note**: In order to ensure that events are received, Didomi will retry at least five times in the span of five minutes before moving on when your endpoint is down.
{% endhint %}

## Configuration

Didomi needs the following configuration items to set up the connection with Selligent:

| Property     | Description                                              | Required |
| ------------ | -------------------------------------------------------- | -------- |
| **URL**      | Base URL for your Selligent installation                 | Yes      |
| **Username** | Selligent API user                                       | Yes      |
| **Password** | API user's encryption key                                | Yes      |
| **Gate**     | The name of the gate used to access the campaign         | Yes      |
| **Mappings** | List of properties to match between Didomi and Selligent | Yes      |

### Example

```json
{
    "type_id": "selligent",
    "authentication": {
        "username": "api_user",
        "password": "access_key"
    },
    "properties": {
        "url": "my-selligent-installation.com",
        "gate": "didomi"
    },
    "mappings": [
        {
            "id": "MAIL",
            "value": "organization_user_id",
        }
    ],
    "upsert_mode": true
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.didomi.io/integrations/third-party-apps/selligent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
